TRUNK=../../../..
SYMDIR=$(TRUNK)/library/symbol
HELP2HTML_EXE=$(TRUNK)/util/parametric_help.sh
HELP2HTML=$(HELP2HTML_EXE) -v header=1 -v footer=1
HTMLS = \
	mech/switch.html\
	mech/connector.html


all: parametric.html

parametric.html: $(HTMLS) ./gen_para_html.sh
	./gen_para_html.sh $(HTMLS) > parametric.html

mech/switch.html: $(HELP2HTML_EXE) $(SYMDIR)/mech/switch
	$(SYMDIR)/mech/switch --help | $(HELP2HTML) -v "content=switch()" > mech/switch.html

mech/connector.html: $(HELP2HTML_EXE) $(SYMDIR)/mech/connector
	$(SYMDIR)/mech/connector --help | $(HELP2HTML) -v "content=connector()" > mech/connector.html

